Update lxd version to 5.0
Change-Id: I8f220a98d5e1eff1e5a621c269d80062d3f3e43d
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
Signed-off-by: Mark Beierl <mark.beierl@canonical.com>
diff --git a/installers/full_install_osm.sh b/installers/full_install_osm.sh
index 58958c9..d2f5e52 100755
--- a/installers/full_install_osm.sh
+++ b/installers/full_install_osm.sh
@@ -162,7 +162,12 @@
# Install LXD snap
sudo apt-get remove --purge -y liblxc1 lxc-common lxcfs lxd lxd-client
- sudo snap install lxd --channel $LXD_VERSION/stable
+ snap info lxd | grep installed > /dev/null
+ if [ $? -eq 0 ]; then
+ sudo snap refresh lxd --channel $LXD_VERSION/stable
+ else
+ sudo snap install lxd --channel $LXD_VERSION/stable
+ fi
# Configure LXD
sudo usermod -a -G lxd `whoami`
@@ -871,7 +876,7 @@
[ -z "${DEBUG_INSTALL}" ] || DEBUG end of function
}
-LXD_VERSION=4.0
+LXD_VERSION=5.0
JUJU_VERSION=2.9
JUJU_AGENT_VERSION=2.9.29
UNINSTALL=""